﻿using System.Windows;

using DevExpress.Xpf.Grid;

namespace TestProject
{
    /// <summary>
    /// 메인 윈도우
    /// </summary>
    public partial class MainWindow : Window
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainWindow()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainWindow()
        {
            InitializeComponent();

            this.gridControl.ItemsSource = EmployeeList.GetData();
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Private

        #region 그리드 컨트롤 로드시 처리하기 - gridControl_Loaded(sender, e)

        /// <summary>
        /// 그리드 컨트롤 로드시 처리하기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        private void gridControl_Loaded(object sender, RoutedEventArgs e)
        {
            ExpandNodeCollection(4);
        }

        #endregion
        #region 노드 컬렉션 확장하기 - ExpandNodeCollection(minimumChildCount)

        /// <summary>
        /// 노드 컬렉션 확장하기
        /// </summary>
        /// <param name="minimumChildCount">최소 자식 수</param>
        private void ExpandNodeCollection(int minimumChildCount)
        {
            TreeListNodeIterator treeListNodeIterator = new TreeListNodeIterator(this.treeListView.Nodes, true);

            while(treeListNodeIterator.MoveNext())
            {
                treeListNodeIterator.Current.IsExpanded = treeListNodeIterator.Current.Nodes.Count >= minimumChildCount;
            }
        }

        #endregion
    }
}